Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class TrackData1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.TrackData1

    public class TrackData1
    extends java.lang.Object

Java class for TrackData1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TrackData1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TrckNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Exact1NumericText" minOccurs="0"/>
             <element name="TrckVal" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max140Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `trckNb`
`protected java.lang.String` `trckVal`

### Constructor Summary

Constructors
`TrackData1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getTrckNb()` Gets the value of the trckNb property.
`java.lang.String` `getTrckVal()` Gets the value of the trckVal property.
`void` `setTrckNb​(java.lang.String value)` Sets the value of the trckNb property.
`void` `setTrckVal​(java.lang.String value)` Sets the value of the trckVal property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### trckNb

    protected java.lang.String trckNb

#### trckVal

    protected java.lang.String trckVal

### Constructor Detail

#### TrackData1

    public TrackData1()

### Method Detail

#### getTrckNb

    public java.lang.String getTrckNb()

Gets the value of the trckNb property.

Returns:
  possible object is `String`

#### setTrckNb

    public void setTrckNb​(java.lang.String value)

Sets the value of the trckNb property.

Parameters:
  `value` - allowed object is `String`

#### getTrckVal

    public java.lang.String getTrckVal()

Gets the value of the trckVal property.

Returns:
  possible object is `String`

#### setTrckVal

    public void setTrckVal​(java.lang.String value)

Sets the value of the trckVal property.

Parameters:
  `value` - allowed object is `String`